Create address
curl --request POST \
--url https://api.wavynode.com/v1/projects/{projectId}/addresses \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"address": "<string>",
"description": "<string>",
"foreign_user_id": "<string>"
}
'import requests
url = "https://api.wavynode.com/v1/projects/{projectId}/addresses"
payload = {
"address": "<string>",
"description": "<string>",
"foreign_user_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: '<string>', description: '<string>', foreign_user_id: '<string>'})
};
fetch('https://api.wavynode.com/v1/projects/{projectId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Addresses
Create address
Creates a new relevant address to listen for compliance events and alerts for a given project. Requires Developer role.
POST
/
projects
/
{projectId}
/
addresses
Create address
Once registered, Wavy Node monitors this address and sends notifications to your webhook when it interacts with risky or blacklisted wallets.
Authorizations
Enter the full value with the ApiKey prefix. Example: ApiKey wavy_your-api-key. The prefix is required for authentication.
Path Parameters
The project ID
Body
application/json
Response
200 - application/json
Address created
⌘I